ApiHBaseSetCFsReplicationScope (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiHBaseSetCFsReplicationScope

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHBaseSetCFsReplicationScope

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiHBaseSetCFsReplicationScope
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHBaseSetCFsReplicationScope()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `BigDecimal` | `getScope()`
    `Map<String,List<String>>` | `getTableCFs()`
    `int` | `hashCode()`
    `ApiHBaseSetCFsReplicationScope` | `putTableCFsItem(String key, List<String> tableCFsItem)`
    `ApiHBaseSetCFsReplicationScope` | `scope(BigDecimal scope)`
    `void` | `setScope(BigDecimal scope)`
    `void` | `setTableCFs(Map<String,List<String>> tableCFs)`
    `ApiHBaseSetCFsReplicationScope` | `tableCFs(Map<String,List<String>> tableCFs)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHBaseSetCFsReplicationScope

          public ApiHBaseSetCFsReplicationScope()

  - ### Method Detail

    - #### scope

          public ApiHBaseSetCFsReplicationScope scope(BigDecimal scope)

    - #### getScope

          public BigDecimal getScope()

      Returns:
        scope

    - #### setScope

          public void setScope(BigDecimal scope)

    - #### tableCFs

          public ApiHBaseSetCFsReplicationScope tableCFs(Map<String,List<String>> tableCFs)

    - #### putTableCFsItem

          public ApiHBaseSetCFsReplicationScope putTableCFsItem(String key,
                                                                List<String> tableCFsItem)

    - #### getTableCFs

          public Map<String,List<String>> getTableCFs()

      Returns:
        tableCFs

    - #### setTableCFs

          public void setTableCFs(Map<String,List<String>> tableCFs)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.